Modify

Opened 8 weeks ago

Last modified 8 weeks ago

#17395 new defect

download described as upload in an error message what is a bit confusing

Reported by: mkoniecz Owned by: team
Priority: trivial Milestone:
Component: Core Version:
Keywords: template_report Cc:

Description (last modified by mkoniecz)

What steps will reproduce the problem?

  1. Have large GPX path (in my case - I searched using overpass turbo for descriptive name (name=Boisko + leisure=pitch, duplicated layer and turned duplicate into GPX path)
  2. Used "Download from OSM along this track"
  3. Start editing while download works
  4. Upload changes

What is the expected result?

Upload works or errors with nonmisleding error message

What happens instead?

"A background upload is already in progress. (...)" error message appears.

Please provide any additional information below. Attach a screenshot if possible.

in background download process happily marches on. My upload from JOSM got completed and changeset closed long time ago - https://www.openstreetmap.org/changeset/67679812 (I did it before starting download along track).

Changeset was closed by JOSM itself (one second after it was created), not by timeout.

2019-03-01 12:29:35.107 INFO: GET https://api.openstreetmap.org/api/0.6/map?bbox=16.6599121,52.9635852,16.6703141,52.9767213 -> 200
2019-03-01 12:29:49.297 INFO: GET https://api.openstreetmap.org/api/0.6/map?bbox=16.6567236,52.9651577,16.6679734,52.9667213 -> 200
2019-03-01 12:29:49.963 INFO: GET https://api.openstreetmap.org/api/0.6/user/details (get number of unread messages) -> 200 (655 B)
2019-03-01 12:29:50.616 INFO: GET https://api.openstreetmap.org/api/0.6/map?bbox=16.6599121,52.9717213,16.6711556,52.973291 -> 200
2019-03-01 12:29:58.948 INFO: GET https://api.openstreetmap.org/api/0.6/map?bbox=16.6679734,52.9651577,16.6711556,52.9717213 -> 200
2019-03-01 12:30:02.812 INFO: GET https://api.openstreetmap.org/api/0.6/map?bbox=16.6679734,52.9701535,16.6711556,52.9767213 -> 200
2019-03-01 12:30:07.236 INFO: GET https://api.openstreetmap.org/api/0.6/map?bbox=16.6567236,52.9767213,16.6711556,52.9782858 -> 200
2019-03-01 12:30:11.945 INFO: GET https://api.openstreetmap.org/api/0.6/map?bbox=16.6793275,52.9976296,16.6873888,53.0007495 -> 200
2019-03-01 12:30:16.812 INFO: GET https://api.openstreetmap.org/api/0.6/map?bbox=16.6689261,53.0107495,16.6977899,53.0138824 -> 200
2019-03-01 12:30:25.608 INFO: GET https://api.openstreetmap.org/api/0.6/map?bbox=16.6873888,52.9976296,16.6977899,53.0107495 -> 200
URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-02-23 17:46:51 +0100 (Sat, 23 Feb 2019)
Build-Date:2019-02-24 02:30:49
Revision:14802
Relative:URL: ^/trunk

Identification: JOSM/1.5 (14802 en) Linux Ubuntu 16.04.5 LTS
Memory Usage: 952 MB / 952 MB (119 MB allocated, but free)
Java version: 1.8.0_201-b09, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: :0.0 1920x1080
Maximum Screen Size: 1920x1080
Dataset consistency test: No problems found

Plugins:
+ OpeningHoursEditor (34867)
+ buildings_tools (34867)
+ continuosDownload (82)
+ imagery_offset_db (34867)
+ measurement (34867)
+ reverter (34867)
+ todo (30306)

Last errors/warnings:
- E: java.net.SocketTimeoutException: connect timed out
- W: java.net.SocketTimeoutException: Read timed out
- W: java.net.SocketTimeoutException: Read timed out
- W: java.net.SocketTimeoutException: Read timed out
- E: org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.. Cause: java.net.SocketTimeoutException: connect timed out
- E: org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.. Cause: java.net.SocketTimeoutException: connect timed out
- E: org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.. Cause: java.net.SocketTimeoutException: connect timed out
- E: org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.. Cause: java.net.SocketTimeoutException: connect timed out
- E: org.openstreetmap.josm.io.OsmTransferException: java.net.SocketTimeoutException: Read timed out. Cause: java.net.SocketTimeoutException: Read timed out
- E: IO Exception - org.openstreetmap.josm.gui.widgets.HtmlPanel[,0,0,0x0,invalid,layout=java.awt.BorderLayout,alignmentX=0.0,alignmentY=0.0,border=,flags=9,maximumSize=,minimumSize=,preferredSize=]

Attachments (0)

Change History (3)

comment:1 Changed 8 weeks ago by mkoniecz

Description: modified (diff)

comment:2 Changed 8 weeks ago by mkoniecz

Summary: download described as uploaddownload described as upload in an error message what is a bit confusing

comment:3 Changed 8 weeks ago by mkoniecz

Description: modified (diff)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The owner will remain team.
as The resolution will be set.
to The owner will be changed from team to the specified user.
The owner will change to mkoniecz
as duplicate The resolution will be set to duplicate.The specified ticket will be cross-referenced with this ticket
The owner will be changed from team to anonymous.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.